<template>
    <div class="homeBox">
       


        <!-- <div class="threeMap">
            <jw-chat></jw-chat>
        </div>
        <div class="secondMap">
        <map-view></map-view>
        </div> -->

    </div>
</template>

<script>
import mapViewer from '../../assets/js/map/mapView';
import jwChat from '../chart/index.vue';
import mapView from '../mapView/index.vue'
import store from '../../store';
export default {
    name: 'homePage',
    components: {
        jwChat,
        mapView
    },
    data() {
        return {
            setMenuFlag: false
        }
    },
    computed: {
        Obj() {
            return store.state.setMenuFlag
        }

    },
    watch: {
        Obj(newVal, oldVal) {
            console.log(oldVal)
            console.log(newVal)
            this.setMenuFlag = newVal;
        }
    },

    methods: {

    },
    mounted() {
        // mapViewer.initMap();
    }
}
</script>

<style scoped  >
.homeBox {
    width: 100%;
    height: 100%;
    /* display: flex; */

}

.homeBox .threeMap {
    width: 100%;
    height: calc(100% - 48px);
    background: skyblue;
}

.homeBox .secondMapFlag {
    width: 0px;
    transition: width 1s;
}

.homeBox .secondMap {
    flex: 1;


}

.homeBox .homeHeader {
    width: 100%;
    height: 48px;
    background: #1C1C1C;
    display: flex;
    align-items: center;
}

.header_img {
    width: 30px;
    height: 30px;
    background: url('../../assets/img/logo\ 2.png')no-repeat;
    background-size: 100% 100%;
    margin-left: 16px;
}

.header_title {
    margin-left: 16px;
    height: 21px;
    font-size: 24px;
    font-family: Source Han Sans SC;
    color: white;
    line-height: 21px;
    /* background: url('../../assets/img/SE Indoor.png')no-repeat;
    background-size: 100% 100%;
    margin-left: 16px; */

}
</style>
